

























































































































 


































































































































































 






















































































































































































 



















































 










 








































































































































































































































 










                                
                                

                                
                                

                                
                                

                                



















































































subroutine TestFreeF90 (cctk_dim,cctk_gsh,cctk_lsh,cctk_lbnd,cctk_ubnd,cctk_tile_min,cctk_tile_max,cctk_ash,cctk_alignment,cctk_ali&
  &gnment_offset,cctk_from,cctk_to,cctk_bbox,cctk_delta_time,cctk_time,cctk_delta_space,cctk_origin_space,cctk_levfac,cctk_levoff,c&
  &ctk_levoffdenom,cctk_timefac,cctk_convlevel,cctk_convfac,cctk_nghostzones,cctk_iteration,cctkGH,cctk_ash1,cctk_ash2,cctk_ash3)
  implicit none

  INTEGER cctk_dim
  integer, parameter :: cctki_use_cctk_dim = kind(cctk_dim)
  INTEGER cctk_gsh (cctk_dim)
  integer, parameter :: cctki_use_cctk_gsh = kind(cctk_gsh)
  INTEGER cctk_lsh (cctk_dim)
  integer, parameter :: cctki_use_cctk_lsh = kind(cctk_lsh)
  INTEGER cctk_lbnd (cctk_dim)
  integer, parameter :: cctki_use_cctk_lbnd = kind(cctk_lbnd)
  INTEGER cctk_ubnd (cctk_dim)
  integer, parameter :: cctki_use_cctk_ubnd = kind(cctk_ubnd)
  INTEGER cctk_tile_min (cctk_dim)
  integer, parameter :: cctki_use_cctk_tile_min = kind(cctk_tile_min)
  INTEGER cctk_tile_max (cctk_dim)
  integer, parameter :: cctki_use_cctk_tile_max = kind(cctk_tile_max)
  INTEGER cctk_ash (cctk_dim)
  integer, parameter :: cctki_use_cctk_ash = kind(cctk_ash)
  INTEGER cctk_alignment
  integer, parameter :: cctki_use_cctk_alignment = kind(cctk_alignment)
  INTEGER cctk_alignment_offset
  integer, parameter :: cctki_use_cctk_alignment_offset = kind(cctk_alignment_offset)
  INTEGER cctk_from (cctk_dim)
  integer, parameter :: cctki_use_cctk_from = kind(cctk_from)
  INTEGER cctk_to (cctk_dim)
  integer, parameter :: cctki_use_cctk_to = kind(cctk_to)
  INTEGER cctk_bbox (2*cctk_dim)
  integer, parameter :: cctki_use_cctk_bbox = kind(cctk_bbox)
  REAL*8 cctk_delta_time
  integer, parameter :: cctki_use_cctk_delta_time = kind(cctk_delta_time)
  REAL*8 cctk_time
  integer, parameter :: cctki_use_cctk_time = kind(cctk_time)
  REAL*8 cctk_delta_space (cctk_dim)
  integer, parameter :: cctki_use_cctk_delta_space = kind(cctk_delta_space)
  REAL*8 cctk_origin_space (cctk_dim)
  integer, parameter :: cctki_use_cctk_origin_space = kind(cctk_origin_space)
  INTEGER cctk_levfac (cctk_dim)
  integer, parameter :: cctki_use_cctk_levfac = kind(cctk_levfac)
  INTEGER cctk_levoff (cctk_dim)
  integer, parameter :: cctki_use_cctk_levoff = kind(cctk_levoff)
  INTEGER cctk_levoffdenom (cctk_dim)
  integer, parameter :: cctki_use_cctk_levoffdenom = kind(cctk_levoffdenom)
  INTEGER cctk_timefac
  integer, parameter :: cctki_use_cctk_timefac = kind(cctk_timefac)
  INTEGER cctk_convlevel
  integer, parameter :: cctki_use_cctk_convlevel = kind(cctk_convlevel)
  INTEGER cctk_convfac
  integer, parameter :: cctki_use_cctk_convfac = kind(cctk_convfac)
  INTEGER cctk_nghostzones (cctk_dim)
  integer, parameter :: cctki_use_cctk_nghostzones = kind(cctk_nghostzones)
  INTEGER cctk_iteration
  integer, parameter :: cctki_use_cctk_iteration = kind(cctk_iteration)
  integer*8 cctkGH
  integer, parameter :: cctki_use_cctkGH = kind(cctkGH)
  INTEGER cctk_ash1
  integer, parameter :: cctki_use_cctk_ash1 = kind(cctk_ash1)
  INTEGER cctk_ash2
  integer, parameter :: cctki_use_cctk_ash2 = kind(cctk_ash2)
  INTEGER cctk_ash3
  integer, parameter :: cctki_use_cctk_ash3 = kind(cctk_ash3)
  interface
  integer*8 function CCTK_PointerTo (var)
  implicit none
  type(*),dimension(..),TARGET :: var
  end function CCTK_PointerTo
  end interface
  interface
  integer function CCTK_Equals (arg1, arg2)
  implicit none
  integer*8 arg1
  character(*) arg2
  end function CCTK_Equals
  integer function CCTK_MyProc (cctkGH)
  implicit none
  integer*8 cctkGH
  end function CCTK_MyProc
  integer function CCTK_nProcs (cctkGH)
  implicit none
  integer*8 cctkGH
  end function CCTK_nProcs
  integer function CCTK_IsThornActive (name)
  implicit none
  character(*) name
  end function CCTK_IsThornActive
  integer*8 function CCTK_NullPointer ()
  implicit none
  end function CCTK_NullPointer
  end interface
  
  integer a
















  
  
  a =                                                                    75
  a =                                                                     76
  a =                                                                      77
  a =                                                                       78
  a =                                                                        79
  a =                                                                         80
  a =                                                                          81
  a =                                                                           82
  a =                                                                            83
  a =                                                                             84
  a =                                                                              85
  
  
  a =                                                                   75 
  a =                                                                    76 
  a =                                                                     77 
  a =                                                                      78 
  a =                                                                       79 
  a =                                                                        80 
  a =                                                                         81 
  a =                                                                          82 
  a =                                                                           83 
  a =                                                                            84 
  a =                                                                             85 
  
  
  a =                                                                  75  
  a =                                                                   76  
  a =                                                                    77  
  a =                                                                     78  
  a =                                                                      79  
  a =                                                                       80  
  a =                                                                        81  
  a =                                                                         82  
  a =                                                                          83  
  a =                                                                           84  
  a =                                                                            85  
  
  
  a =                                                                   75
  a =                                                                    76
  a =                                                                     77
  a =                                                                      78
  a =                                                                       79
  a =                                                                        80
  a =                                                                         81
  a =                                                                          82
  a =                                                                           83
  a =                                                                            84
  a =                                                                             85
  
  
  a =                                                                  75
  a =                                                                   76
  a =                                                                    77
  a =                                                                     78
  a =                                                                      79
  a =                                                                       80
  a =                                                                        81
  a =                                                                         82
  a =                                                                          83
  a =                                                                           84
  a =                                                                            85
  
  
  a =                                                                 75
  a =                                                                  76
  a =                                                                   77
  a =                                                                    78
  a =                                                                     79
  a =                                                                      80
  a =                                                                       81
  a =                                                                        82
  a =                                                                         83
  a =                                                                          84
  a =                                                                           85
  
  
  a =                                                                  75 
  a =                                                                   76 
  a =                                                                    77 
  a =                                                                     78 
  a =                                                                      79 
  a =                                                                       80 
  a =                                                                        81 
  a =                                                                         82 
  a =                                                                          83 
  a =                                                                           84 
  a =                                                                            85 
  
  
  a =                                                                 75 
  a =                                                                  76 
  a =                                                                   77 
  a =                                                                    78 
  a =                                                                     79 
  a =                                                                      80 
  a =                                                                       81 
  a =                                                                        82 
  a =                                                                         83 
  a =                                                                          84 
  a =                                                                           85 
  
  
  a =                                                                75 
  a =                                                                 76 
  a =                                                                  77 
  a =                                                                   78 
  a =                                                                    79 
  a =                                                                     80 
  a =                                                                      81 
  a =                                                                       82 
  a =                                                                        83 
  a =                                                                         84 
  a =                                                                          85 
  
  
  a =                                                                 75  
  a =                                                                  76  
  a =                                                                   77  
  a =                                                                    78  
  a =                                                                     79  
  a =                                                                      80  
  a =                                                                       81  
  a =                                                                        82  
  a =                                                                         83  
  a =                                                                          84  
  a =                                                                           85  
  
  
  a =                                                                75  
  a =                                                                 76  
  a =                                                                  77  
  a =                                                                   78  
  a =                                                                    79  
  a =                                                                     80  
  a =                                                                      81  
  a =                                                                       82  
  a =                                                                        83  
  a =                                                                         84  
  a =                                                                          85  
  
  
  a =                                                               75  
  a =                                                                76  
  a =                                                                 77  
  a =                                                                  78  
  a =                                                                   79  
  a =                                                                    80  
  a =                                                                     81  
  a =                                                                      82  
  a =                                                                       83  
  a =                                                                        84  
  a =                                                                         85  
  
  
  a =                                                                  75 &
       & + 75                                                             &
       + 75
  a =                                                                   76 &
       & + 76                                                              &
       + 76
  a =                                                                    77 &
       & + 77                                                               &
       + 77
  a =                                                                     78 &
       & + 78                                                                &
       + 78
  a =                                                                      79 &
       & + 79                                                                 &
       + 79
  a =                                                                       80 &
       & + 80                                                                  &
       + 80
  a =                                                                        81 &
       & + 81                                                                   &
       + 81
  a =                                                                         82 &
       & + 82                                                                    &
       + 82
  a =                                                                          83 &
       & + 83                                                                     &
       + 83
  a =                                                                           84 &
       & + 84                                                                      &
       + 84
  a =                                                                            85 &
       & + 85                                                                       &
       + 85
  
  
  a =                                                                 75 & 
       & + 75                                                            & 
       + 75
  a =                                                                  76 & 
       & + 76                                                             & 
       + 76
  a =                                                                   77 & 
       & + 77                                                              & 
       + 77
  a =                                                                    78 & 
       & + 78                                                               & 
       + 78
  a =                                                                     79 & 
       & + 79                                                                & 
       + 79
  a =                                                                      80 & 
       & + 80                                                                 & 
       + 80
  a =                                                                       81 & 
       & + 81                                                                  & 
       + 81
  a =                                                                        82 & 
       & + 82                                                                   & 
       + 82
  a =                                                                         83 & 
       & + 83                                                                    & 
       + 83
  a =                                                                          84 & 
       & + 84                                                                     & 
       + 84
  a =                                                                           85 & 
       & + 85                                                                      & 
       + 85
  
  
  a =                                                                75 &  
       & + 75                                                           &  
       + 75
  a =                                                                 76 &  
       & + 76                                                            &  
       + 76
  a =                                                                  77 &  
       & + 77                                                             &  
       + 77
  a =                                                                   78 &  
       & + 78                                                              &  
       + 78
  a =                                                                    79 &  
       & + 79                                                               &  
       + 79
  a =                                                                     80 &  
       & + 80                                                                &  
       + 80
  a =                                                                      81 &  
       & + 81                                                                 &  
       + 81
  a =                                                                       82 &  
       & + 82                                                                  &  
       + 82
  a =                                                                        83 &  
       & + 83                                                                   &  
       + 83
  a =                                                                         84 &  
       & + 84                                                                    &  
       + 84
  a =                                                                          85 &  
       & + 85                                                                     &  
       + 85
  






end subroutine TestFreeF90
